View Issue Details

IDProjectCategoryView StatusLast Update
0001962Industrial-Craft²crossmod-compatibility / submodules / APIpublic2016-08-20 16:45
ReporterEmpyreanAssigned ToAroma1997 
PriorityhighSeveritymajorReproducibilityalways
Status resolvedResolutionfixed 
Product Version 
Target VersionFixed in Version 
Summary0001962: Server Only Crash On Startup (API Errors with Ender IO)
DescriptionI have recently included IC2 in our modpack located here

https://minecraft.curseforge.com/projects/empyrean - currently under review at the time of this report.

Have tested the pack in my dev build and it loads perfectly fine but when trying to start the server the server crashes each time.

Once IC2 is disabled server side the server starts with no issues. This crash does not occur when starting the client just the server

IC2 Version industrialcraft-2-2.6.30-ex110
Forge Version 12.18.1.2024

Attached are the Server Logs and Crash Report
Steps To ReproduceStart server with my pack as a server will crash each and everytime.
TagsCrash, Spam
Minecraft Version1.10.2

Relationships

duplicate of 0001923 resolvedAroma1997 java.util.ConcurrentModificationException at java.util.ArrayList$Itr.checkForComodification 

Activities

Empyrean

2016-08-08 08:35

reporter  

Logs.zipx (553,530 bytes)

Empyrean

2016-08-08 09:03

reporter   ~0004680

Seems that this crash only occurs on worlds that were made before IC2 was put in the pack have tested this on a brand new world with no issues. I do not wish to reset the current world is there anything that can be done to rectify this or is a reset the only way.

Aroma1997

2016-08-08 16:40

developer   ~0004681

Try using build 32 or later. If your log gets spammed after updating, please send me the log file.

Empyrean

2016-08-09 03:36

reporter   ~0004683

Using build 37 worked like a charm thanks for the help with this

Empyrean

2016-08-09 05:44

reporter   ~0004684

The only issue is that since the build that is being used is not currently on curse they are saying i am unable to include it in the pack is there anything that i can link them to to allow this version to be put into my modpack.

Aroma1997

2016-08-09 07:10

developer   ~0004685

Either there: http://jenkins.ic2.player.to/job/IC2_110/
or I just pushed the build to CurseForge.

Empyrean

2016-08-09 07:22

reporter   ~0004686

Thanks guys for ya awesome work

Aroma1997

2016-08-09 07:28

developer   ~0004687

But please report back, if your log gets spammed with messages now.

Empyrean

2016-08-09 07:30

reporter   ~0004688

So far no console spam but defiantly will get back in touch if it does

Empyrean

2016-08-09 13:19

reporter   ~0004689

Last edited: 2016-08-09 13:26

View 3 revisions

Still getting some client crashes not sure if it is IC2 related but the stack trace does report IC2 but i believe its more a machine power craft issue relating to the API

This seems to be client side only and seems only happening while we have machine power craft mod installed on the client. Do not know why its not affecting the server.

Mod Dev for machine power craft is difficult to deal with in regards to these errors

https://gist.github.com/Stuart74/cd90cfe0f0f52c2b9316c0a12ae18f9d

Aroma1997

2016-08-10 09:46

developer   ~0004690

That is a different bug.

Empyrean

2016-08-10 10:02

reporter   ~0004691

Last edited: 2016-08-10 10:04

View 3 revisions

I am more wondering if it is a IC2 Bug or machine power craft i rather not raise another issue if its not related to IC2 as i was reading something regarding this in the IC2 forums and it mentioned it was due to the API with machine power craft but i am wondering if it is or not.

But I will raise another issue to make it easier on you guys

Empyrean

2016-08-13 03:25

reporter   ~0004699

Am getting spam now in my console

https://gist.github.com/Stuart74/8ba57eb64884fc5d86314986791eebfb

Aroma1997

2016-08-13 07:46

developer   ~0004700

OK, thanks. I'll look at it, when I have some time again.

Issue History

Date Modified Username Field Change
2016-08-08 08:35 Empyrean New Issue
2016-08-08 08:35 Empyrean File Added: Logs.zipx
2016-08-08 09:03 Empyrean Note Added: 0004680
2016-08-08 16:40 Aroma1997 Note Added: 0004681
2016-08-08 16:40 Aroma1997 Relationship added duplicate of 0001923
2016-08-08 16:40 Aroma1997 Assigned To => Aroma1997
2016-08-08 16:40 Aroma1997 Status new => assigned
2016-08-09 03:36 Empyrean Note Added: 0004683
2016-08-09 03:38 Empyrean Tag Attached: Can be closed
2016-08-09 03:38 Empyrean Tag Attached: resolved
2016-08-09 05:44 Empyrean Note Added: 0004684
2016-08-09 05:45 Empyrean Tag Detached: resolved
2016-08-09 05:45 Empyrean Tag Detached: Can be closed
2016-08-09 07:10 Aroma1997 Note Added: 0004685
2016-08-09 07:22 Empyrean Note Added: 0004686
2016-08-09 07:22 Empyrean Tag Attached: Can be closed
2016-08-09 07:23 Empyrean Tag Attached: resolved
2016-08-09 07:28 Aroma1997 Note Added: 0004687
2016-08-09 07:30 Empyrean Note Added: 0004688
2016-08-09 13:19 Empyrean Note Added: 0004689
2016-08-09 13:19 Empyrean Tag Detached: resolved
2016-08-09 13:20 Empyrean Tag Detached: Can be closed
2016-08-09 13:20 Empyrean Tag Attached: Crash
2016-08-09 13:25 Empyrean Note Edited: 0004689 View Revisions
2016-08-09 13:26 Empyrean Note Edited: 0004689 View Revisions
2016-08-10 09:46 Aroma1997 Note Added: 0004690
2016-08-10 10:02 Empyrean Note Added: 0004691
2016-08-10 10:03 Empyrean Note Edited: 0004691 View Revisions
2016-08-10 10:04 Empyrean Note Edited: 0004691 View Revisions
2016-08-13 03:25 Empyrean Note Added: 0004699
2016-08-13 03:27 Empyrean Tag Attached: Spam
2016-08-13 07:46 Aroma1997 Note Added: 0004700
2016-08-20 16:45 Aroma1997 Status assigned => resolved
2016-08-20 16:45 Aroma1997 Resolution open => fixed